Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3827 - rup displays uptime > 365 days incorrectly
Summary: rup displays uptime > 365 days incorrectly
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rusers
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-30 14:41 UTC by ahm
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-30 22:43:41 UTC


Attachments (Terms of Use)

Description ahm 1999-06-30 14:41:34 UTC
for uptimes greater than 365 days, rup shows the wrong
number of days - apparently (days modulo 365).
However, "rup -t" sorts correctly, so this is probably
just a display bug. (The rup in RH6.0 has the problem too)

Comment 1 Jay Turner 1999-06-30 14:45:59 UTC
This issue has been forwarded to a developer for further action.

Comment 2 Jeff Johnson 1999-08-30 22:43:59 UTC
The program rup in netkit-rusers-0.15 reports days using the tm_yday
field returned by gmtime(3) using as input the delta of now - boottime
of the responding host. I dunno how to improve this algorithm without
opening up a lot of snarly issues involving local/remote time
synchronization and the gain is not worth the effort.


Note You need to log in before you can comment on or make changes to this bug.